Bug 1024537 - wifi disconnecting frequently every few minutes
wifi disconnecting frequently every few minutes
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: fedora-kernel-wireless-ralink
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-29 17:17 EDT by Asif Ali Rizvan
Modified: 2014-03-20 09:20 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-20 09:20:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Asif Ali Rizvan 2013-10-29 17:17:27 EDT
Description of problem: wifi connections are dropped every few minutes.


Version-Release number of selected component (if applicable):
fedora 20


How reproducible:
always

Steps to Reproduce:
1. use wifi and it disconects
2.
3.

Actual results:


Expected results:


Additional info:
04:06.0 Network controller: Ralink corp. RT5360 Wireless 802.11n 1T/1R

dmesg is showing:
----
[  360.360232] wlp4s6: authenticate with 4c:60:de:cd:d6:52
[  360.363355] wlp4s6: send auth to 4c:60:de:cd:d6:52 (try 1/3)
[  360.390146] wlp4s6: send auth to 4c:60:de:cd:d6:52 (try 2/3)
[  360.424873] wlp4s6: send auth to 4c:60:de:cd:d6:52 (try 3/3)
[  360.475010] wlp4s6: authentication with 4c:60:de:cd:d6:52 timed out
[  510.286600] IPv6: ADDRCONF(NETDEV_UP): wlp4s6: link is not ready
[  512.400344] wlp4s6: authenticate with 4c:60:de:cd:d6:52
[  512.403395] wlp4s6: send auth to 4c:60:de:cd:d6:52 (try 1/3)
[  512.404797] wlp4s6: authenticated
[  512.406082] wlp4s6: associate with 4c:60:de:cd:d6:52 (try 1/3)
[  512.409929] wlp4s6: RX AssocResp from 4c:60:de:cd:d6:52 (capab=0x411 status=0 aid=1)
[  512.410017] wlp4s6: associated
[  512.410095] IPv6: ADDRCONF(NETDEV_CHANGE): wlp4s6: link becomes ready
[  534.100708] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 0 failed to flush
[  534.210855] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
[  534.320958] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 0 failed to flush
[  534.750572] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 0 failed to flush
Comment 1 akerfonta 2014-03-19 12:43:11 EDT
I have the same problem.
My wifi is Intel Corporation Wireless 7260 (rev 6b).  Everything worked fine
until the kernel updated past 3.12.10-300.
Comment 2 Dan Williams 2014-03-19 16:22:53 EDT
This appears to be a hardware/driver problem.  Over to kernel.
Comment 3 Stanislaw Gruszka 2014-03-20 02:27:32 EDT
(In reply to Asif Ali Rizvan from comment #0)
> Description of problem: wifi connections are dropped every few minutes.

Is this regression ? If so what is the latest working kernel version ?
Comment 4 Stanislaw Gruszka 2014-03-20 02:29:12 EDT
(In reply to akerfonta from comment #1)
> I have the same problem.
> My wifi is Intel Corporation Wireless 7260 (rev 6b).  Everything worked fine
> until the kernel updated past 3.12.10-300.

We handle Ralink bug here, if issue still occurs on iwl7260 with latest kernel, please open separate bug report.
Comment 5 Asif Ali Rizvan 2014-03-20 08:05:30 EDT
current kernel from updates is working fine; also on rawhide (21) there's no bug. I'm currently using rawhide; fedora 20 was working just fine.
Comment 6 Stanislaw Gruszka 2014-03-20 09:20:48 EDT
Closing per above comment...

Note You need to log in before you can comment on or make changes to this bug.